net.minecraft.client.renderer

## Class OpenGlHelper

- java.lang.Object
- - net.minecraft.client.renderer.OpenGlHelper

-     public class OpenGlHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `defaultTexUnit` An OpenGL constant corresponding to GL_TEXTURE0, used when setting data pertaining to auxiliary OpenGL texture units.
    `static float` | `lastBrightnessX`
    `static float` | `lastBrightnessY`
    `static int` | `lightmapTexUnit` An OpenGL constant corresponding to GL_TEXTURE1, used when setting data pertaining to auxiliary OpenGL texture units.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenGlHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initializeTextures()` Initializes the texture constants to be used when rendering lightmap values
    `static void` | `setActiveTexture(int par0)` Sets the current lightmap texture to the specified OpenGL constant
    `static void` | `setClientActiveTexture(int par0)` Sets the current lightmap texture to the specified OpenGL constant
    `static void` | `setLightmapTextureCoords(int par0, float par1, float par2)` Sets the current coordinates of the given lightmap texture

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultTexUnit

          public static int defaultTexUnit

      An OpenGL constant corresponding to GL_TEXTURE0, used when setting data pertaining to auxiliary OpenGL texture units.

    - #### lightmapTexUnit

          public static int lightmapTexUnit

      An OpenGL constant corresponding to GL_TEXTURE1, used when setting data pertaining to auxiliary OpenGL texture units.

    - #### lastBrightnessX

          public static float lastBrightnessX

    - #### lastBrightnessY

          public static float lastBrightnessY

  - ### Constructor Detail

    - #### OpenGlHelper

          public OpenGlHelper()

  - ### Method Detail

    - #### initializeTextures

          public static void initializeTextures()

      Initializes the texture constants to be used when rendering lightmap values

    - #### setActiveTexture

          public static void setActiveTexture(int par0)

      Sets the current lightmap texture to the specified OpenGL constant

    - #### setClientActiveTexture

          public static void setClientActiveTexture(int par0)

      Sets the current lightmap texture to the specified OpenGL constant

    - #### setLightmapTextureCoords

          public static void setLightmapTextureCoords(int par0,
                                      float par1,
                                      float par2)

      Sets the current coordinates of the given lightmap texture